[ipxe-devel] Master Broken?

xbgmsharp xbgmsharp at gmail.com
Thu May 15 12:17:38 BST 2014


Hello,

rom-o-matic.eu use the syslinux 3.63 provide by Ubuntu 10.04
http://packages.ubuntu.com/lucid/syslinux

# dpkg -l | grep syslinux
ii  syslinux                        2:3.63+dfsg-2ubuntu3            
Bootloader for Linux/i386 using MS-DOS flopp

I will update the system to Ubuntu 14.04 which provide syslinux 4.05.

Is syslinux 4.05 recent enough to build iPXE correctly?

Regards,
Francois

On 2014-05-15 10:34, Michael Brown wrote:
> On 15/05/14 08:00, Andrew Stuart wrote:
>> Can someone help verify if the master branch is currently broken?
>> 
>> I’ve been attempting to use rom-o-matic.eu to build a new iso image
>> 
>> It boots, and gets to Loading ipxe.krn…….ready.
>> _
>> 
>> And that is where it stays indefinitely. I’m using vmware 10.0.2 
>> Windows
>> for this test.
>> 
>> After making 5-6 images that all failed with different configurations, 
>> I
>> grabbed the latest iso from
>> http://boot.ipxe.org/ipxe.iso, booted it in the same vm, and get to 
>> the
>> exact same failure point.
> 
> I suspect this is related to the syslinux version.  On my laptop (with
> syslinux 6.02), ipxe.iso builds and runs with no issues.  I can
> confirm that the version provided by boot.ipxe.org / rom-o-matic.eu
> (with an archaic syslinux 3.83) does not work.
> 
> Will investigate.
> 
> Michael
> _______________________________________________
> ipxe-devel mailing list
> ipxe-devel at lists.ipxe.org
> https://lists.ipxe.org/mailman/listinfo.cgi/ipxe-devel


More information about the ipxe-devel mailing list